
<template>
    <div>
        <section class="hero is-medium is-primary is-bold">
            <div class="hero-body">
                <div class="container">
                    <h1 class="title is-2"> Projects that I have built </h1>
                </div>
            </div>
        </section>
        <section class="section">
            <div class="container is-fluid">
                <div class="column is-multiline">
                    <div class="column is-one-third" v-for="project in projects">
                        <post-card v-bind="project"></post-card>
                    </div>
                </div>
            </div>
        </section>
    </div>
</template>

<script>
    import ProjectsService from '@services/ProjectsService'
    import Postcard from '@components/Postcard'
    export default {
        name: 'projects',
        components: {
            Postcard
        },
        data() {
            return { airtableResponse: [] }
        },
        mounted: function () {
            let self = this;
            async function getProjects() {
                try {
                    const response = await ProjectsService.getProjects();
                    console.log("Projects.vue: response===", response);
                    self.airtableResponse = response.data.records
                } catch (err) {
                    console.error("Projects.vue: ERROR===", err);
                }
            }
            getProjects()
        },
        computed: {
            projects() {
                let self = this;
                let projectList = [];
                for (let i=0; i<self.airtableResponse.lenght; i++){
                    if (self.airtableResponse[i].fields.Publised) {
                        let project = {
                            title: self.airtableResponse[i].fields.title,
                            date: self.airtableResponse[i].fields.date_published,
                            snippet: self.airtableResponse[i].fields.excerpt,
                            image: self.airtableResponse[i].fields.image[0].url,
                            slug: self.airtableResponse[i].fields.slug
                        }
                        projectList.push(project);
                    }
                }
                return projectList;
            }
        }
    };
</script>